Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990279 - Review Request: diskimage-builder - Image building tools for OpenStack
Summary: Review Request: diskimage-builder - Image building tools for OpenStack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Dake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 998702
TreeView+ depends on / blocked
 
Reported: 2013-07-30 18:50 UTC by Jeff Peeler
Modified: 2016-04-26 17:28 UTC (History)
3 users (show)

Fixed In Version: diskimage-builder-0.0.1-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 22:25:11 UTC
sdake: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jeff Peeler 2013-07-30 18:50:12 UTC
Spec URL: http://people.redhat.com/jpeeler/diskimage-builder.spec
SRPM URL: http://people.redhat.com/jpeeler/diskimage-builder-0.0.1-1.fc20.src.rpm
Description: Components of TripleO that are responsible for building disk images
Fedora Account System Username: jpeeler

Comment 1 Steven Dake 2013-07-31 18:29:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     1 files have unknown license. Detailed output of licensecheck in
     /opt/stack/heat/990279-diskimage-builder/licensecheck.txt
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: diskimage-builder-0.0.1-1.fc18.noarch.rpm
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/fedora/bin/install-packages 0644L /bin/sh
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/dib-run-parts/root.d/dib-run-parts 0644L /bin/bash
diskimage-builder.noarch: E: script-without-shebang /usr/share/diskimage-builder/elements/ramdisk/extra-data.d/scripts/d/init-func
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/dpkg/bin/install-packages 0644L /bin/sh
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/ramdisk/extra-data.d/scripts/init 0644L /bin/bash
diskimage-builder.noarch: E: non-readable /etc/sudoers.d/img-build-sudoers 0440L
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/hwdiscovery/install.d/10-hwinfo 0644L /bin/bash
diskimage-builder.noarch: W: no-manual-page-for-binary ramdisk-image-create
diskimage-builder.noarch: W: no-manual-page-for-binary disk-image-get-kernel
diskimage-builder.noarch: W: no-manual-page-for-binary element-info
diskimage-builder.noarch: W: no-manual-page-for-binary disk-image-create
1 packages and 0 specfiles checked; 7 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint diskimage-builder
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/fedora/bin/install-packages 0644L /bin/sh
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/dib-run-parts/root.d/dib-run-parts 0644L /bin/bash
diskimage-builder.noarch: E: script-without-shebang /usr/share/diskimage-builder/elements/ramdisk/extra-data.d/scripts/d/init-func
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/dpkg/bin/install-packages 0644L /bin/sh
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/ramdisk/extra-data.d/scripts/init 0644L /bin/bash
diskimage-builder.noarch: E: non-readable /etc/sudoers.d/img-build-sudoers 0440L
diskimage-builder.noarch: E: non-executable-script /usr/share/diskimage-builder/elements/hwdiscovery/install.d/10-hwinfo 0644L /bin/bash
diskimage-builder.noarch: W: no-manual-page-for-binary ramdisk-image-create
diskimage-builder.noarch: W: no-manual-page-for-binary disk-image-get-kernel
diskimage-builder.noarch: W: no-manual-page-for-binary element-info
diskimage-builder.noarch: W: no-manual-page-for-binary disk-image-create
1 packages and 0 specfiles checked; 7 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
diskimage-builder (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/env
    /bin/sh
    /usr/bin/python
    busybox
    config(diskimage-builder)
    kpartx
    python(abi)
    qemu-img



Provides
--------
diskimage-builder:
    config(diskimage-builder)
    diskimage-builder



Source checksums
----------------
https://github.com/stackforge/diskimage-builder/archive/fb81fe874269b26bf3a52e291c884c61910e53bd/diskimage-builder-0.0.1-fb81fe8.tar.gz :
  CHECKSUM(SHA256) this package     : 33030cf42e4e35069b58462e863acb59719eba9fc7b172b21fe92a079a3f0b3a
  CHECKSUM(SHA256) upstream package : 33030cf42e4e35069b58462e863acb59719eba9fc7b172b21fe92a079a3f0b3a


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 990279

Comment 2 Steven Dake 2013-07-31 18:32:01 UTC
Not blocker:
Please file upstream bugs for missing manual pages as separate bugs in launchpad.

Would suggest working with upstream to fix the errors printed out by rpmlint - they look like errors in the code base.  Could probably submit patches to fix these problems after filing bugs.

Blockers:
non-readble sudoers look like a problem.  If you can convince this is not a problem I'll approve the package.

Comment 3 Steven Dake 2013-07-31 18:32:51 UTC
Jeff,
After fixing small sudoers problem, please submit scm request with cc list of jpeeler, sdake, pbrady

Comment 4 Jeff Peeler 2013-07-31 19:49:53 UTC
I believe the sudoers.d file is supposed to have permissions of 0440 for security reasons (versions of sudo after 1.8.5 are reportedly less picky). So I'm going to leave it as is, rebase with upstream so patches can be dropped, and will submit the SCM request.

Comment 5 Jeff Peeler 2013-08-01 00:10:20 UTC
(I am assuming Steve is OK with my previous comment.)

New Package SCM Request
=======================
Package Name: diskimage-builder
Short Description: Image building tools for OpenStack
Owners: jpeeler, sdake, pbrady
Branches: f20 
InitialCC:

Comment 6 Gwyn Ciesla 2013-08-01 12:16:59 UTC
Invalid branch f20 requested, fedora-review flag not set to '+'

Comment 7 Steven Dake 2013-08-01 18:54:55 UTC
APPROVED

Comment 8 Jeff Peeler 2013-08-01 20:36:43 UTC
Sorry, I assumed f20 had branched already.

New Package SCM Request
=======================
Package Name: diskimage-builder
Short Description: Image building tools for OpenStack
Owners: jpeeler, sdake, pbrady
Branches:
InitialCC:

Comment 9 Gwyn Ciesla 2013-08-02 12:01:06 UTC
Git done (by process-git-requests).

Comment 10 Jeff Peeler 2013-08-23 14:24:39 UTC
Package Change Request
======================
Package Name: diskimage-builder
New Branches: f19 el6
Owners: jpeeler, sdake, pbrady
InitialCC:

Comment 11 Gwyn Ciesla 2013-08-23 14:35:40 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-08-23 15:27:56 UTC
diskimage-builder-0.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/diskimage-builder-0.0.1-4.el6

Comment 13 Fedora Update System 2013-08-23 15:29:02 UTC
diskimage-builder-0.0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/diskimage-builder-0.0.1-4.fc19

Comment 14 Fedora Update System 2013-08-23 18:47:03 UTC
diskimage-builder-0.0.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2013-08-26 18:36:20 UTC
diskimage-builder-0.0.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/diskimage-builder-0.0.1-5.el6

Comment 16 Jeff Peeler 2013-08-29 17:56:58 UTC
This package contains no crypto.

(It uses sha256sum and uses curl for https downloads.)

Comment 17 Fedora Update System 2013-09-03 22:25:11 UTC
diskimage-builder-0.0.1-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 18 Fedora Update System 2013-09-06 17:46:29 UTC
diskimage-builder-0.0.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/diskimage-builder-0.0.1-7.el6

Comment 19 Fedora Update System 2013-09-13 15:37:14 UTC
diskimage-builder-0.0.1-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/diskimage-builder-0.0.1-8.el6

Comment 20 Fedora Update System 2013-09-16 20:00:20 UTC
diskimage-builder-0.0.1-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/diskimage-builder-0.0.1-9.el6

Comment 21 Fedora Update System 2013-10-02 17:28:59 UTC
diskimage-builder-0.0.1-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.